## tfk8s 0.1.10

=== Makefile ===
.PHONY: build docker docker-push release install test clean

VERSION := 0.1.10
DOCKER_IMAGE_NAME := jrhouston/tfk8s

build:
	go build -ldflags "-X main.toolVersion=${VERSION}"

docker:
	docker build -t ${DOCKER_IMAGE_NAME}:${VERSION} .

docker-push: docker
	docker push ${DOCKER_IMAGE_NAME}:${VERSION}

release: clean
	mkdir -p release/
	# FIXME use gox for this
	GOOS=linux GOOARCH=386 go build -ldflags "-X main.toolVersion=${VERSION}" -o release/tfk8s_${VERSION}_linux_386
	zip -j release/tfk8s_${VERSION}_linux_386.zip release/tfk8s_${VERSION}_linux_386
	GOOS=linux GOOARCH=amd64 go build -ldflags "-X main.toolVersion=${VERSION}" -o release/tfk8s_${VERSION}_linux_amd64
	zip -j release/tfk8s_${VERSION}_linux_amd64.zip release/tfk8s_${VERSION}_linux_amd64
	GOOS=linux GOOARCH=arm go build -ldflags "-X main.toolVersion=${VERSION}" -o release/tfk8s_${VERSION}_linux_arm
	zip -j release/tfk8s_${VERSION}_linux_arm.zip release/tfk8s_${VERSION}_linux_arm
	GOOS=darwin GOOARCH=amd64 go build -ldflags "-X main.toolVersion=${VERSION}" -o release/tfk8s_${VERSION}_darwin_amd64
	zip -j release/tfk8s_${VERSION}_darwin_amd64.zip release/tfk8s_${VERSION}_darwin_amd64
	GOOS=windows GOOARCH=amd64 go build -ldflags "-X main.toolVersion=${VERSION}" -o release/tfk8s_${VERSION}_windows_amd64
	zip -j release/tfk8s_${VERSION}_windows_amd64.zip release/tfk8s_${VERSION}_windows_amd64
	GOOS=windows GOOARCH=386 go build -ldflags "-X main.toolVersion=${VERSION}" -o release/tfk8s_${VERSION}_windows_386
	zip -j release/tfk8s_${VERSION}_windows_386.zip release/tfk8s_${VERSION}_windows_386

install: 
	go install -ldflags "-X main.toolVersion=${VERSION}"

test:
	go test -v ./...

clean:
	rm -rf release/*

=== debian/changelog ===
tfk8s (0.1.10-2) unstable; urgency=medium

  * d/control: Fix VCS-* now set to kubernetes-team salsa group.
  * d/rules: Enable PIE setting GO_FLAGS buildmode.
  * d/tfk8s.lintian-overrides: Created.

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Tue, 26 Sep 2023 00:19:24 +0100

tfk8s (0.1.10-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 15 Jun 2023 18:16:00 -0400

tfk8s (0.1.10-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #1032033)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Fri, 24 Feb 2023 22:53:16 +0000

=== debian/control ===
Source: tfk8s
Maintainer: Debian Kubernetes Packaging Team <team+kubernetes@tracker.debian.org>
Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-github-zclconf-go-cty-dev,
               golang-k8s-sigs-yaml-dev,
               help2man <!nodoc>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/tfk8s
Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/tfk8s.git
Homepage: https://github.com/jrhouston/tfk8s
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/jrhouston/tfk8s

Package: tfk8s
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Tool for converting Kubernetes YAML manifests to Terraform HCL
 Tool that makes it easier to work with the Terraform Kubernetes Provider
 converting YAML manifest files to Terraform HCL format.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Golang does not support PIE on mips
# cf. https://github.com/golang/go/issues/21222
ifeq ($(filter $(DEB_HOST_ARCH),mips mipsel mips64el),)
GO_FLAGS += -buildmode=pie
endif

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

execute_before_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	help2man debian/tfk8s/usr/bin/tfk8s \
		--no-info --no-discard-stderr \
		--version-string="$(DEB_VERSION)" \
		-n "Tool for converting Kubernetes YAML manifests to Terraform HCL" > debian/tfk8s.1
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/jrhouston/tfk8s/tags .*/v?(\d\S*)\.tar\.gz debian
